DoorLockTrait.GetUserCommand.Response

class DoorLockTrait.GetUserCommand.Response : ClusterStruct


Returns the user for the specified userIndex.

Summary

Nested types

Descriptor enum for this command's response fields.

Public constructors

Response(
    userIndex: UShort,
    userName: String?,
    userUniqueId: UInt?,
    userStatus: DoorLockTrait.UserStatusEnum?,
    userType: DoorLockTrait.UserTypeEnum?,
    credentialRule: DoorLockTrait.CredentialRuleEnum?,
    credentials: List<DoorLockTrait.CredentialStruct>?,
    creatorFabricIndex: UByte?,
    lastModifiedFabricIndex: UByte?,
    nextUserIndex: UShort?
)

Creates a response payload from the GetUser command.

Public functions

open StructDescriptor

Returns the descriptor for the struct.

open Any?

Returns the value of the field for the given tag ID.

Public properties

UByte?

The user's creator fabric index.

DoorLockTrait.CredentialRuleEnum?

The credential rule that can be applied to the user.

List<DoorLockTrait.CredentialStruct>?

The user's credentials.

UByte?

The user's last modifier fabric index.

UShort?

The next occupied user index in the database, which is useful for quickly identifying occupied user slots in the database.

UShort

The unique identifier for the user.

String?

The user's name.

DoorLockTrait.UserStatusEnum?

The status of the user.

DoorLockTrait.UserTypeEnum?

The type of the user.

UInt?

The unique user id of the user.

Public constructors

Response

Response(
    userIndex: UShort,
    userName: String? = null,
    userUniqueId: UInt? = null,
    userStatus: DoorLockTrait.UserStatusEnum? = null,
    userType: DoorLockTrait.UserTypeEnum? = null,
    credentialRule: DoorLockTrait.CredentialRuleEnum? = null,
    credentials: List<DoorLockTrait.CredentialStruct>? = null,
    creatorFabricIndex: UByte? = null,
    lastModifiedFabricIndex: UByte? = null,
    nextUserIndex: UShort? = null
)

Creates a response payload from the GetUser command.

Public functions

getDescriptor

@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor

Returns the descriptor for the struct.

getFieldValueById

@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?

Returns the value of the field for the given tag ID.

Public properties

creatorFabricIndex

val creatorFabricIndex: UByte?

The user's creator fabric index.

credentialRule

val credentialRule: DoorLockTrait.CredentialRuleEnum?

The credential rule that can be applied to the user.

credentials

val credentials: List<DoorLockTrait.CredentialStruct>?

The user's credentials.

lastModifiedFabricIndex

val lastModifiedFabricIndex: UByte?

The user's last modifier fabric index.

nextUserIndex

val nextUserIndex: UShort?

The next occupied user index in the database, which is useful for quickly identifying occupied user slots in the database.

userIndex

val userIndex: UShort

The unique identifier for the user.

userName

val userName: String?

The user's name.

userStatus

val userStatus: DoorLockTrait.UserStatusEnum?

The status of the user.

userType

val userType: DoorLockTrait.UserTypeEnum?

The type of the user.

userUniqueId

val userUniqueId: UInt?

The unique user id of the user.